Package org.apache.tools.ant.taskdefs

## Class FixCRLF.AddAsisRemove

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.FixCRLF.AddAsisRemove

Enclosing class:
  FixCRLF

    public static class FixCRLF.AddAsisRemove
    extends EnumeratedAttribute

Enumerated attribute with the values "asis", "add" and "remove".

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
`AddAsisRemove()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AddAsisRemove

    public AddAsisRemove()

### Method Detail

#### getValues

    public java.lang.String[] getValues()

This is the only method a subclass needs to implement..

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.